<!DOCTYPE html>
<html>
<head>
    <title>Time</title>
</head>
<body>
<h2 id="time">...</h2>
<div>
    <a href="/">Date and time</a>
    <a href="/date">Only date</a>
    <a href="/time">Only time</a>
</div>
</body>
<script>
    document.addEventListener("DOMContentLoaded", () => {
        window.setInterval(() => {
            const now = new Date();
            const seconds = String(now.getSeconds()).padStart(2, '0');
            const minutes = String(now.getMinutes()).padStart(2, '0');
            const hours = String(now.getHours()).padStart(2, '0');
            document.getElementById("time").innerHTML = hours + ":" + minutes + ":" + seconds;
        }, 1000);
    })
</script>
</html>
